//#include "../testlib/testlib.h"
#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;
int n, m;
vector<int> a, b;

int check(InStream &in) {
    int k = in.readInt(0, m, "k");
    
    vector<int> ord(n), ans(n);
    set<int> used;
    for (int i = 0; i < n; i++) {
        ord[i] = in.readInt(1, n, format("p_%d", i + 1)) - 1;
        if (used.count(ord[i])) {
            in.quitf(_wa, "Duplicate number %d", ord[i] + 1);
        }
        ans[i] = a[ord[i]];
    }
    
    long long total = 0, mx = 0;
    for (int i = 0; i < n; i++) {
        total += ans[i];
        mx = max(mx, total);
    }
    int res = 0;
    for (int bi : b) {
        if (bi < mx) res++;
    }
    
    if (res != k) {
        in.quitf(_wa, "Answer is not matching order");
    }
    return res;
}

int main(int argc, char *argv[]){
    registerTestlibCmd(argc, argv);
    
    n = inf.readInt();
    a = inf.readInts(n);
    
    m = inf.readInt();
    b = inf.readInts(m);

    int ja = check(ans), pa = check(ouf);

    if (ja < pa) {
        quitf(_wa, "Jury's answer is better");
    } else if (pa < ja) {
        quitf(_fail, "Participant's answer is better");
    }

    quitf(_ok, "test passed");
}