#include "testlib.h"
#include <string>

using namespace std;

string t;

int check(InStream &in) {
    int n = in.readInt(1, t.size() / 2, "n");
    in.readEoln();
    vector<string> words = in.readLines(n, "[a-z]+", "word");

    string res;
    for (auto const &w : words) res += w;
    reverse(words.begin(), words.end());
    for (auto const &w : words) res += w;

    if (res != t) in.quitf(_wa, "String t doesn't match printed words");
    return n;
}

int main(int argc, char *argv[]) {

    registerTestlibCmd(argc, argv);

    t = inf.readLine();
    int ja = check(ans), pa = check(ouf);
    if (ja < pa) {
        quitf(_fail, "Participant has better answer");
    } else if (ja > pa) {
        quitf(_wa, "Jury has better answer");
    }

    quitf(_ok, "Ok");

}