#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {

    registerValidation(argc, argv);

    int n = inf.readInt(1, 100'000, "n");
    inf.readSpace();
    inf.readInt(0, 1000'000'000, "T");
    inf.readEoln();

    auto p = inf.readInts(n - 1, 1, n, "p");
    vector<int> ok(n);
    ok[0] = 1;
    for (int i = 1; i < n; i++) {
        int cur = i;
        vector<int> path;
        while (ok[cur] == 0) {
            ok[cur] = 2;
            path.push_back(cur);
            cur = p[cur - 1] - 1;
        }
        ensuref(ok[cur] == 1, "Cycle found");
        for (int v : path) ok[v] = 1;
    }
    inf.readEoln();

    inf.readInts(n - 1, 0, 1000'000'000, "t");
    inf.readEoln();

    inf.readInts(n, 0, 1000'000'000, "a");
    inf.readEoln();

    inf.readEof();

}